GET
/
api
/
v1
/
workspaces
/
{slug}
/
activity
curl "https://api.costmcp.com/api/v1/workspaces/acme-ai/activity?period=week&limit=25" \
  -H "Authorization: Bearer $SUPABASE_ACCESS_TOKEN"
{
  "period": "<string>",
  "count": 123,
  "activity": [
    {}
  ]
}
Requires Supabase JWT + workspace membership.
slug
string
required
Workspace slug
period
string
Same values as metrics (dayall, default month)
project
string
Project slug filter
type
string
Message type filter
environment
string
Environment filter
limit
integer
Default 25, max 100
period
string
required
Echo of period
count
number
required
Number of activity rows returned
activity
array
required
Rows with id, amount_usd, message_type, created_at, project_slug, project_name, environment, feature, source, label
curl "https://api.costmcp.com/api/v1/workspaces/acme-ai/activity?period=week&limit=25" \
  -H "Authorization: Bearer $SUPABASE_ACCESS_TOKEN"